// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/components/display/Camera.hpp"
#include "scene/components/PlayerController.hpp"

namespace Dawn {
  class GameCamera : public SceneItemComponent {
    protected:
      Camera *camera = nullptr;

    public:
      PlayerController *player = nullptr;

      GameCamera(SceneItem *item);
      std::vector<SceneItemComponent*> getDependencies() override;
      void onStart() override;
  };
}